/**
 * createby : JinxLbj
 * date : 2018/8/27
 * desc : 错误控制器
 **/

package com.qiqiim.webserver.user.controller;

import com.qiqiim.webserver.user.service.ErrorLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

@Controller
public class ErrorController {

    @Autowired
    private ErrorLogService errorLogServiceImpl;

    /**
     * 列表
     */
    @RequestMapping("/errorList")
    public String errorLoglist(@RequestParam Map<String, Object> params, HttpServletRequest request) {
        request.setAttribute("allsession", errorLogServiceImpl.getLogs());
//        String message = (String) getSession().getAttribute("message");
//        if (message == null || "".equals(message)) {
//            getSession().setAttribute("message", "");
//        }
        return "user/errorloglist";
    }

    @RequestMapping("/delError")
    public String delError(@RequestParam Map<String, Object> params, HttpServletRequest request){
        Integer id = new Integer((String)params.get("id"));
        String solution = (String)params.get("solution");
        errorLogServiceImpl.delLog(id, solution);
        request.setAttribute("allsession", errorLogServiceImpl.getLogs());
        return "user/errorloglist";
    }

}
