package com.qiqiim.webserver.user.dao;
import java.util.List;

import com.qiqiim.webserver.base.dao.BaseDao;
import com.qiqiim.webserver.user.model.ImFriendUserData;
import com.qiqiim.webserver.user.model.ImFriendUserInfoData;
import com.qiqiim.webserver.user.model.UserDepartmentEntity;
import org.apache.ibatis.annotations.Param;


public interface UserDepartmentDao extends BaseDao<UserDepartmentEntity> {
	
	public List<ImFriendUserData> queryGroupAndUser();

	public List<ImFriendUserData> usersQueryGroupAndUser(@Param("deptId") String deptId);

	public List<ImFriendUserData> usersQueryGroup();

	public List<ImFriendUserInfoData> usersQueryUser(@Param("id") long id, @Param("uid") long uid);

	public List<ImFriendUserInfoData> usersQueryUser2(@Param("id") long id);

	public List<ImFriendUserData> adminsQueryGroupAndUser();

	public List<ImFriendUserInfoData> adminsGetHistoryUser(@Param("id") long id, @Param("userId") long userId);

	public List<ImFriendUserInfoData> adminsGetAllUser(@Param("id") long id, @Param("allId") String allId);

	public int getUserDept(@Param("id") long id);
}
