/**
 * createby : JinxLbj
 * date : 2018/8/27
 * desc : 错误记录接口
 **/

package com.qiqiim.webserver.user.service;

import com.qiqiim.webserver.user.model.ErrorLog;

import java.util.List;

public interface ErrorLogService {

    /**
     * 错误信息录入数据库
     * @return 插入是否成功（0失败 1成功）
     */
    int saveErrorLog();

    /**
     * 获取所有错误信息
     * @return 错误信息集合
     */
    List<ErrorLog> getLogs();

    /**
     * 删除错误信息
     * @param id 主键
     * @param solution 解决方案
     * @return 删除数量
     */
    int delLog(Integer id, String solution);
}
