package com.qiqiim.webserver.user.service;

import com.qiqiim.webserver.user.model.ConsultantManagerEntity;
import com.qiqiim.webserver.user.model.UserAccountEntity;

import java.io.UnsupportedEncodingException;
import java.util.List;
import java.util.Map;

public interface UserAccountService {
	
	UserAccountEntity queryObject(Long id);
	
	UserAccountEntity queryObjectByAccount(Map<String, Object> map);
	
	UserAccountEntity validateUser(Map<String, Object> map);
	
	List<UserAccountEntity> queryList(Map<String, Object> map);
	
	int queryTotal(Map<String, Object> map);
	
	int save(UserAccountEntity userAccount);
	
	int update(UserAccountEntity userAccount);
	
	int delete(Long id);
	
	int deleteBatch(Long[] ids);

	long getUserDept(long deptId);

	List<ConsultantManagerEntity> getAllConsultant(Long deptId);

	int updateDetail(ConsultantManagerEntity consultantManagerEntity) throws UnsupportedEncodingException;
}
