<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!doctype html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<title>置业顾问系统</title>
	<link href="img/icon.ico" rel="SHORTCUT ICON" />
  <link rel="stylesheet" href="layui/css/layui.css"> 
</head>
<body>
  <div style="margin: 30px;">
    <fieldset class="layui-elem-field index-button" style="margin-top: 30px;">
	  <legend>登录</legend>
	  <div>
	    <form class="layui-form loginform" action="login"  method="post">
	    		<div class="layui-form-item">
				    <label class="layui-form-label">账号</label>
				    <div class="layui-input-block">
				      <input type="text" id="account" name="account" lay-verify="title" autocomplete="off" placeholder="请输入账号" class="layui-input laccount">
				    </div>
				 </div>
				 <div class="layui-form-item">
				    <label class="layui-form-label">密码</label>
				    <div class="layui-input-block">
				      <input type="password" id="password" name="password" lay-verify="required" placeholder="请输入密码" autocomplete="off" class="layui-input lpwd">
				    </div>
				 </div>
				<div class="layui-form-item">
					<label class="layui-form-label">记住密码</label>
					<div class="layui-input-block">
						<input type="checkbox" id="remember" name="close" lay-skin="switch" lay-text="ON|OFF">
					</div>
				</div>
				 <div class="layui-form-item">
				    <div class="layui-input-block">
				      <button class="layui-btn" lay-submit="" lay-filter="login">立即登录</button>
				    </div>
				  </div>
	    </form>

	  </div>
	</fieldset>
  </div>
<script src="layui/layui.js"></script>  
<script>
	var form1 = null;
layui.use(['form'], function(){
  var form = layui.form,
	  from1 = layui.form
  ,$ = layui.jquery
  ,layer = layui.layer;

 
  //自定义验证规则
  form.verify({
	  account: function(value){
      if(value.length < 1){
        return '请输入账号';
      }
    }
    ,password: [/(.+){6,12}$/, '密码必须6到12位']
    ,'userInfo.name': function(value){
    	 if(value.length < 1){
    	        return '请输入姓名';
    	  }
    }
  });
  
  form.on('button(loginbtn)', function(data){

      layer.alert(JSON.stringify(data.field), {
	      title: '最终的提交信息'
	    })
	    return false;
  });
	  
  $(".showform").on("click",function(){
		 var btntext = $(this).text();
		 var forms = $(".layui-elem-field");
		 if(btntext=='去登录'){
			 forms.eq(0).show();
			 forms.eq(1).hide();
		 }else{
			 forms.eq(1).show();
			 forms.eq(0).hide();
		 }  
  })

    //监听提交
    form.on('submit(login)', function(data){
        var result = "";
        $.ajax({
            type : "post",
            url : "loginTest",
            data :data.field,
            dataType : "json",
            async : false,
            success : function(data){
                console.log(data);
                result = data;
                var remember = document.getElementById("remember").nextElementSibling.children[0].innerHTML;
                console.log(remember);
                if(remember == 'ON'){
                    var account = document.getElementById("account").value;
                    var password = document.getElementById("password").value;
                    document.cookie = "account=" + account;
                    document.cookie = "password=" + password;
                    document.cookie = "remember=" + remember;
                    console.log("存入缓存");
				}else{
                    var keys = document.cookie.match(/[^ =;]+(?=\=)/g);
                    if(keys) {
                        for(var i = keys.length; i--;)
                            document.cookie = keys[i] + '=0;expires=' + new Date(0).toUTCString()
                    }
                    console.log("清除缓存");
				}
				return false;
            }
        });
		if(result.trim() === "用户名密码错误") {
			layer.msg("用户名或密码错误");
			return false;
		}
    });
  
  //监听提交
  form.on('submit(reg)', function(data){
   /*  layer.alert(JSON.stringify(data.field), {
      title: '最终的提交信息'
    }) */
    $.ajax({
		type : "post",
		url : "useraccount/save",
		data :data.field,
		dataType : "json",
		async : false,
		success : function(data){
			if(data.data!=null&&data.data.id!=null){
				$(".laccount").val(data.data.account);
				$(".lpwd").val(data.data.password);
				$(".loginform").submit();
			}else{
				layer.msg("注册失败，请检查用户名是否重复！");
			}
			
			
		}
	}); 
    
    return false;
  });
});
//获取cookie
function getCookie(cname) {
    console.log(document.cookie);
    var name = cname + "=";
    var ca = document.cookie.split(';');
    for(var i=0; i<ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0)==' ') c = c.substring(1);
        if (c.indexOf(name) != -1) return c.substring(name.length, c.length);
    }
    return "";
}

    document.getElementById("account").value = getCookie("account");
    document.getElementById("password").value = getCookie("password");
    if(getCookie("remember") == 'ON'){
        document.getElementById("remember").checked = true;
    }



</script>
</body>
</html>