package com.qiqiim.webserver.user.service;

import java.util.List;
import java.util.Map;

import com.qiqiim.webserver.user.model.ImFriendUserData;
import com.qiqiim.webserver.user.model.UserDepartmentEntity;


public interface UserDepartmentService {
	
	UserDepartmentEntity queryObject(Long id);
	
	List<UserDepartmentEntity> queryList(Map<String, Object> map);
	
    List<ImFriendUserData> queryGroupAndUser();

    //用户看到的客服列表
    List<ImFriendUserData> usersQueryGroupAndUser(long userId);

    //客服看到的用户列表
	List<ImFriendUserData> adminsQueryGroupAndUser(long userId);

	//客服查看所有用户的信息
	List<ImFriendUserData> adminsQueryGroupAndUser2(String allId);

	int queryTotal(Map<String, Object> map);
	
	void save(UserDepartmentEntity userDepartment);
	
	int update(UserDepartmentEntity userDepartment);
	
	int delete(Long id);
	
	int deleteBatch(Long[] ids);
}
