package com.qiqiim.webserver.user.service;

import com.qiqiim.webserver.user.model.UserInfoEntity;

import java.util.List;
import java.util.Map;


public interface UserInfoService {
	
	UserInfoEntity queryObject(Long id);
	
	List<UserInfoEntity> queryList(Map<String, Object> map);
	
	int queryTotal(Map<String, Object> map);
	
	void save(UserInfoEntity userInfo);
	
	int update(UserInfoEntity userInfo);
	
	int delete(Long id);
	
	int deleteBatch(Long[] ids);

	List getAllAdminId(String deptId);

	int updateHeadPic(String path, long id);

	int delByUid(long uid);

	String getPhone(long uid);
}
