/**
 * createby : JinxLbj
 * date : 2018/8/27
 * desc : 实现类
 **/

package com.qiqiim.webserver.user.service.impl;

import com.qiqiim.webserver.user.dao.ErrorLogDao;
import com.qiqiim.webserver.user.model.ErrorLog;
import com.qiqiim.webserver.user.service.ErrorLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ErrorLogServiceImpl implements ErrorLogService {

    @Autowired
    private ErrorLogDao errorLogDao;

    @Override
    public int saveErrorLog() {
        return errorLogDao.saveErrorLog(new ErrorLog());
    }

    @Override
    public List<ErrorLog> getLogs() {
        return errorLogDao.getLogs("0");
    }

    @Override
    public int delLog(Integer id, String solution) {
        return errorLogDao.delErrorLog(id, solution);
    }
}
