<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ include file="/WEB-INF/page/public/taglib.jsp" %>
<!doctype html>
<html>
<head>
    <title>顾问管理</title>
    <link href="img/icon.ico" rel="SHORTCUT ICON" />
    <%@ include file="/WEB-INF/page/public/meta.jsp" %>
    <link rel="stylesheet" href="layui/css/layui.css">
</head>
<body>
<div style="margin: 20px;">

    <div id="list">
        <button class="layui-btn layui-btn-primary layui-btn-xs sendUserMsg" onclick="add()" id="add"
                style="width: 100px;height: 40px">添加</button>
        <table class="layui-table" lay-size="lg">
            <colgroup>
                <col width="150">
                <col width="200">
                <col>
            </colgroup>
            <thead>
            <tr>
                <th>头像</th>
                <th>顾问ID</th>
                <th>顾问账号</th>
                <th>顾问姓名</th>
                <th>所属部门</th>
                <th>联系电话</th>
                <th>信息电话</th>
                <th>顾问描述</th>
                <th>操作</th>
            </tr>
            </thead>
            <tbody>
            <c:forEach items="${allsession}" var="user">
                <tr>
                    <td><img style="width: 50px;height: 50px" src="${user.headPic}"/></td>
                    <td>${user.id}</td>
                    <td>${user.account}</td>
                    <td>${user.name}</td>
                    <td>${user.deptName}</td>
                    <td>${user.phone}</td>
                    <td>${user.messagePhone}</td>
                    <td>${user.remark}</td>
                    <td>
                        <a class="layui-btn layui-btn-primary layui-btn-xs sendUserMsg"
                           onclick="updatePic(this)">上传头像</a>
                        <div id="updatePic" style="display: none">
                            <form action="headpicupload.action" method="post" enctype="multipart/form-data">
                                <input type="text" id="uid" name="uid" style="display: none"/>
                                <input type="text" name="whereToGo" value="3" style="display: none">
                                修改头像：<input type="file" name="file" id="file"/>
                                <input type="submit"/>
                            </form>
                        </div>
                        <a class="layui-btn layui-btn-primary layui-btn-xs sendUserMsg" onclick="update(this)">修改</a>
                        <a class="layui-btn layui-btn-primary layui-btn-xs sendUserMsg" onclick="del(this)">删除</a>
                    </td>
                </tr>

            </c:forEach>
            </tbody>
        </table>

    </div>
    <div id="updateDetail" style="display: none">
        <form class="layui-form" action="updateConsultantDetail.action" method="post" accept-charset="UTF-8">
            <input type="text" id="uid1" name="id" style="display: none"/>
            <input type="text" name="whereToGo" value="3" style="display: none">
            <fieldset class="layui-elem-field index-button" style="margin-top: 30px">
                <legend>修改</legend>
                <div>
                    <div class="layui-form-item">
                        <label class="layui-form-label">ID</label>
                        <div class="layui-input-block">
                            <input type="text" name="name" id="id1" lay-verify="required" autocomplete="off"
                                   placeholder="请输入账号" class="layui-input" disabled>
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label">账号</label>
                        <div class="layui-input-block">
                            <input type="text" name="name" id="account1" lay-verify="required" autocomplete="off"
                                   placeholder="请输入账号" class="layui-input" disabled>
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label">姓名</label>
                        <div class="layui-input-block">
                            <input type="text" name="name" id="name1" lay-verify="required" autocomplete="off"
                                   placeholder="请输入账号" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label">密码</label>
                        <div class="layui-input-block">
                            <input type="text" name="password" id="password1"  autocomplete="off"
                                   placeholder="不填写则为不修改" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label">联系电话</label>
                        <div class="layui-input-block">
                            <input type="text" name="phone" id="phone1"  autocomplete="off"
                                   placeholder="请输入联系电话" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label">信息电话</label>
                        <div class="layui-input-block">
                            <input type="text" name="messagePhone" id="messagePhone1" autocomplete="off"
                                   placeholder="请输入信息电话" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label">描述</label>
                        <div class="layui-input-block">
                            <input type="text" name="remark" id="remark1" autocomplete="off"
                                   placeholder="请输入描述" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <div class="layui-input-block">
                            <input type="submit" id="updBut" class="layui-btn" lay-submit="" lay-filter="reg" value="修改"/>
                            <a class="layui-btn layui-btn-primary" onclick="cancel()" target="_blank">返回
                            </a>
                        </div>
                    </div>
                </div>
            </fieldset>
        </form>
    </div>
    <div id="addForm" style="display: none">
        <fieldset class="layui-elem-field index-button" style="margin-top: 30px">
            <legend>添加</legend>
            <div>
                <form class="layui-form" action="addConsultant" method="post">
                    <div class="layui-form-item">
                        <label class="layui-form-label">账号</label>
                        <div class="layui-input-block">
                            <input type="text" name="account" id="account2" lay-verify="required" autocomplete="off"
                                   placeholder="请输入账号" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label">密码</label>
                        <div class="layui-input-block">
                            <input type="text" name="password" id="password2" lay-verify="required" placeholder="请输入密码"
                                   autocomplete="off" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label">姓名</label>
                        <div class="layui-input-block">
                            <input type="text" name="name" id="name2" lay-verify="required" placeholder="请输入姓名"
                                   autocomplete="off" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label">联系电话</label>
                        <div class="layui-input-block">
                            <input type="text" name="phone" id="phone2"  placeholder="请输入电话"
                                   autocomplete="off" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label">信息电话</label>
                        <div class="layui-input-block">
                            <input type="text" name="messagePhone" id="messagePhone2"  placeholder="请输入信息电话"
                                   autocomplete="off" class="layui-input">
                        </div>
                    </div>
                    <div class="layui-form-item">
                        <label class="layui-form-label">描述</label>
                        <div class="layui-input-block">
                            <input type="text" name="remark" id="remark2" placeholder="请输入描述"
                                   autocomplete="off" class="layui-input">
                        </div>
                    </div>
                    <input name="deptid" id="deptid2" value="3" style="display: none">
                    <input type="text" name="whereToGo" value="3" style="display: none"/>
                    <div class="layui-form-item">
                        <div class="layui-input-block">
                            <button class="layui-btn" id="regBut" lay-submit="" lay-filter="reg">添加</button>
                            <a class="layui-btn layui-btn-primary" onclick="cancel()" target="_blank">返回
                            </a>
                        </div>
                    </div>
                </form>
            </div>
        </fieldset>
    </div>
    <div id="deldiv" style="display: none">
        <form id="delForm" action="delConsultant" method="post" style="display: none">
            <input name="whereToGo" value="3" type="text">
            <input name="id" id="id3" type="text"/>
        </form>
    </div>
</div>

<script>
    layui.use('form', function(){
        var form = layui.form;});
    var addForm = document.getElementById("addForm");
    var list = document.getElementById("list");
    var updatePicForm = document.getElementById("updatePic");
    var updateDetailForm = document.getElementById("updateDetail");
    function del(e){
        document.getElementById("id3").value = e.parentElement.parentElement.children[1].innerHTML;
        document.getElementById("delForm").submit();
    }
    function update(e) {
        var tr = e.parentElement.parentElement;
        console.log(tr);
        document.getElementById("uid1").value = tr.children[1].innerHTML;
        document.getElementById("id1").value = tr.children[1].innerHTML;
        document.getElementById("account1").value = tr.children[2].innerHTML;
        document.getElementById("name1").value = tr.children[3].innerHTML;
        document.getElementById("phone1").value = tr.children[5].innerHTML;
        document.getElementById("messagePhone1").value = tr.children[6].innerHTML;
        document.getElementById("remark1").value = tr.children[7].innerHTML;
        list.style.display = 'none';
        updateDetailForm.style.display = 'block';
    }

    function cancel() {
        list.style.display = 'block';
        addForm.style.display = 'none';
        updateDetailForm.style.display = 'none';
    }

    function updatePic(e) {
        var tr = e.parentElement.parentElement.children[1].innerHTML;
        console.log(tr);
        document.getElementById("uid").value = tr;
        e.parentElement.children[1].style.display = 'block';
        e.parentElement.children[1].children[0].children[0].value = tr;
        // updatePicForm.style.display = 'block';
    }

    function add() {
        list.style.display = 'none';
        addForm.style.display = 'block';
    }

    updatePicForm.onsubmit = function () {
        if (document.getElementById("file").value !== "") {
            document.getElementById("updatePic").style.display = 'none';
        } else {
            alert("图片不能为空");
            return false;
        }
    }
    document.getElementById("updBut").onclick = function () {
        if (document.getElementById("name1").value !== "" ) {
        } else {
            // alert("数据不能为空");
            return false;
        }
    }
    document.getElementById("regBut").onclick = function () {
        if (document.getElementById("account2").value !== "" &&
            document.getElementById("password2").value !== "" &&
            document.getElementById("deptid2").value !== "" &&
            document.getElementById("name2").value !== "") {
        } else {
            // alert("数据不能为空");
            return false;
        }
    }
    window.onload = function(){
        var message = "";
        message = "${sessionScope.message}";
        if(message == null || message === ""){
            return;
        }
        alert(message);
        ${sessionScope.remove("message")}
    }
</script>
</body>
</html>