<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<title>置业顾问系统</title>
	<link href="img/icon.ico" rel="SHORTCUT ICON" />
  <link rel="stylesheet" href="layui/css/layui.css"> 
  <style type="text/css">
  	.index-button{margin-bottom: 30px;}
	.index-button div{margin: 20px 30px 10px;}
	.index-button .layui-btn+.layui-btn{margin-left: 0;}
	.index-button .layui-btn{margin: 0 7px 10px 0; }
  </style>
</head>
<body>
  <div style="margin: 30px;">
	
	 <fieldset class="layui-elem-field index-button" style="margin-top: 30px;">
	  <legend>管理</legend>
	  <div>
	    <a class="layui-btn layui-btn-primary"  href="user/imuser/list" target="_blank"><i class="layui-icon">&#xe613;</i>在线用户管理</a>
        <a class="layui-btn layui-btn-primary"  href="consultantlist" target="_blank"><i class="layui-icon">&#xe613;</i>顾问管理</a>
	    <a class="layui-btn layui-btn-primary" href="usermessage/page" target="_blank"><i class="layui-icon">&#xe63a;</i>消息管理</a>
	  </div>
	</fieldset>
  </div>
</body>
<script src="layui/layui.js"></script>
<script>
    layui.use(['form'], function(){
        var form = layui.form
            ,$ = layui.jquery
            ,layer = layui.layer;


        //自定义验证规则
        form.verify({
            account: function(value){
                if(value.length < 1){
                    return '请输入账号';
                }
            }
            ,password: [/(.+){6,12}$/, '密码必须6到12位']
            ,'userInfo.name': function(value){
                if(value.length < 1){
                    return '请输入姓名';
                }
            }
        });

        $(".showform").on("click",function(){
            var btntext = $(this).text();
            var forms = $(".layui-elem-field");
            if(btntext=='取消注册'){
                forms.eq(0).show();
                forms.eq(1).hide();
            }else{
                forms.eq(1).show();
                forms.eq(0).hide();
            }
        })


        //监听提交
        form.on('submit(reg)', function(data){
            /*  layer.alert(JSON.stringify(data.field), {
               title: '最终的提交信息'
             }) */
            // var forms = $(".layui-elem-field");
            $.ajax({
                type : "post",
                url : "useraccount/save",
                data :data.field,
                dataType : "json",
                async : false,
                success : function(data){
                    if(data.data!=null&&data.data.id!=null){
                        layer.msg("注册成功！");
                        forms.eq(0).show();
                        forms.eq(1).hide();
                    }else{
                        layer.msg("注册失败，请检查用户名是否重复！");
                    }


                }
            });

            return false;
        });


    });
</script>
</html>